package adrian.master.knowledgewar.server.constants;

public class Constants {
	
	public static final String API_KEY = "AIzaSyBn8A5wzHC0E753t3LIucfVq4ieRC5l7wE";
	
	public static final int TILE_VALUE = 100;
//	public static final double CLOSE_PLAYER = 0.0004;
	public static final double CLOSE_PLAYER = 200;
	
	public static final String PLAYER_STARTING_AREA = "5x5;A:1:2,2";
	public static final int PLAYER_STARTING_GOLD = 15000;
	public static final float BATTLE_BUILDING_VALUE_MODIFIER = 0.5f;
	public static final float BATTLE_DECLINED_PROFITS_MODIFIER = 1.25F;
	public static final float BATTLE_DRAW_PROFITS_PENALTY = 0.5f;
	public static final long DELAY_BEFORE_CHALLENGE_IS_DECLINED_BY_DEFAULT = 60000;
	public static final long DELAY_BEFORE_BATTLE_IS_DECIDED_BY_TIMEOUT = 900000;
	public static final long HEARTBEAT_PROCESS_SLEEP_LENGTH = 300000;
	public static final int HEARTBEAT_COUNT_LIMIT = 3;
	
	public static final String SERVER_RESPONSE_LOGIN_SUCCESSFUL = "login_success";
	public static final String SERVER_RESPONSE_LOGIN_FAILURE = "login_failure";
	public static final String SERVER_RESPONSE_REGISTRATION_SUCCESSFUL = "registration_success";
	public static final String SERVER_RESPONSE_REGISTRATION_FAILURE = "registration_failure";
	public static final String SERVER_RESPONSE_BATTLEOVER = "battle_over";
	public static final String SERVER_RESPONSE_WAITING = "waiting_for_opponent";
	public static final String SERVER_RESPONSE_PLAYER_BUSY = "player_busy";
	public static final String SERVER_RESPONSE_PLAYER_AVAILABLE = "player_available";
	public static final String SERVER_RESPONSE_SUCCESS = "success";
	public static final String SERVER_RESPONSE_FAILURE = "failure";
	
	public static final String COMMAND = "command";
	public static final String COMMAND_REGISTER = "register";
	public static final String COMMAND_LOGIN = "login";
	public static final String COMMAND_LOGOUT = "logout";
	public static final String COMMAND_GETPLAYERS = "getplayers";
	public static final String COMMAND_GETCLOSEPLAYERS = "getcloseplayers";
	public static final String COMMAND_GET_OWN_STATS = "getownstats";
	public static final String COMMAND_VERIFYGCM = "verify_gcm";
	public static final String COMMAND_REGISTERGCM = "register_gcm";
	public static final String COMMAND_CHALLENGE = "challenge";
	public static final String COMMAND_ACCEPT = "accept";
	public static final String COMMAND_DECLINE = "decline";
	public static final String COMMAND_ANSWER = "answer";
	public static final String COMMAND_FINISH = "finish";
	public static final String COMMAND_ISFINISHED = "isfinished";
	public static final String COMMAND_INFO ="battleinfo";
	public static final String COMMAND_BATTLE_RESULT = "battleresult";
	public static final String COMMAND_STARTROUND ="startround";
	public static final String COMMAND_GETQUESTIONS ="getquestions";
	public static final String COMMAND_WAITINGFOROPPONENT = "waitingforopponent";
	public static final String COMMAND_BATTLEOVER = "battleover";
	public static final String COMMAND_UPDATEPOSITION = "updateposition";
	public static final String COMMAND_UPDATESTATS = "updatestats";
	public static final String COMMAND_CHALLENGE_DECLINED = "challengedeclined";
	public static final String COMMAND_CHALLENGE_IMPOSSIBLE = "challengeimpossible";
	public static final String COMMAND_YOU_DECLINED_CHALLENGE = "youdeclinedchallenge";
	public static final String COMMAND_CHAT = "chat";
	public static final String COMMAND_GETQUESTIONCATEGORIES ="getquestioncategories";
	public static final String COMMAND_PLACEBUILDING = "placebuilding";
	public static final String COMMAND_UPGRADEBUILDING = "upgradebuilding";
	public static final String COMMAND_REMOVEBUILDING = "removebuilding";
	
	public static final String PARAMETER_ACCOUNT = "accountname";
	public static final String PARAMETER_PASSWORD = "password";
	public static final String PARAMETER_LOCATION = "location";
	public static final String PARAMETER_REGID = "regid";
	public static final String PARAMETER_CHALLENGER = "challenger";
	public static final String PARAMETER_CHALLENGEE = "challengee";
	public static final String PARAMETER_RISK = "risk";
	public static final String PARAMETER_SIZE = "size";
	public static final String PARAMETER_BATTLENR = "battlenr";
	public static final String PARAMETER_ATTACK = "attack";
	public static final String PARAMETER_SCORE = "score";
	public static final String PARAMETER_OPPONENTSCORE = "opponentscore";
	public static final String PARAMETER_LATITUDE = "latitude";
	public static final String PARAMETER_LONGITUDE = "longitude";
	public static final String PARAMETER_GOLD = "gold";
	public static final String PARAMETER_AREA = "area";
	public static final String PARAMETER_RESULT = "result";
	public static final String PARAMETER_WINNER = "winner";
	public static final String PARAMETER_LOSER = "loser";
	public static final String PARAMETER_DRAW = "draw";
	public static final String PARAMETER_PLAYERS = "players";
	public static final String PARAMETER_MESSAGE = "message";
	public static final String PARAMETER_WEAPONCOST = "weaponcost";
	public static final String PARAMETER_CATEGORY="category";
	public static final String PARAMETER_BUILDINGTYPE = "buildingtype";
	public static final String PARAMETER_BUILDINGRANK = "buildingrank";
	public static final String PARAMETER_BUILDINGX = "building_x";
	public static final String PARAMETER_BUILDINGY = "building_y";

}
