package adrian.master.knowledgewar.server.logic;

public class DebuffStringHandler {
	
	/**
	 * Appends the new debuff to the list of debuffs that is given as the first parameter. Ends the String with a ';'
	 * @param debuffs
	 * @param newDebuff
	 * @return
	 */
	public static String appendDebuff(String debuffs, String newDebuff){
		if(newDebuff.equals("")){
			return debuffs;
		}else{
			return debuffs+newDebuff+";";			
		}
	}
	
	/**
	 * Parses the string of debuffs and returns a String-array where the attack that is about to hit the player
	 * is inserted at index 0 , while the list of attacks that will be returned to the database is placed at
	 * index 1.
	 * @param debuffs
	 * @return
	 */
	public static String[] getAttack(String debuffs){
		String[] result = {"",""};
		
		int temp = debuffs.indexOf(';');
		
		if(temp!=-1){
			result[0] = debuffs.substring(0, temp);
			result[1] = debuffs.substring(temp+1);			
		}
		
		return result;
	}

}
