package adrian.master.knowledgewar.scenes;

import adrian.master.knowledgewar.gameactivities.BattleActivity;
import adrian.master.knowledgewar.gameconcepts.Question;
import adrian.master.knowledgewar.logic.Constants;

public class HalfReducedScoreScene extends BaseDisplayQuestionScene {

	public HalfReducedScoreScene(BattleActivity parent, Question question) {
		super(parent, question);
	}
	
	@Override
	protected int calculateScore() {
		int timeLeft = mTimeLeft;
		float percentTimeLeft = (float)timeLeft/(float)mTime;
		float score = percentTimeLeft*Constants.BASELINE_SCORE*0.5f;
		return (int)score;
	}

}
