package adrian.master.knowledgewar.scenes;

import org.andengine.entity.text.AutoWrap;
import org.andengine.entity.text.Text;
import org.andengine.entity.text.TextOptions;
import org.andengine.util.HorizontalAlign;

import adrian.master.knowledgewar.gameactivities.BattleActivity;
import adrian.master.knowledgewar.gameconcepts.Question;

public class NoSpacesQuestionScene extends BaseDisplayQuestionScene {

	public NoSpacesQuestionScene(BattleActivity parent, Question question) {
		super(parent, question);
	}
	
	@Override
	protected void createStrings() {
		super.createStrings();
		mQuestionString = mQuestionString.replace(" ", "");
	}
	
	@Override
	protected void createTexts() {
		mQuestionText = new Text(0,0, mFont, "",150,new TextOptions(AutoWrap.LETTERS, QUESTION_WRAP, HorizontalAlign.CENTER, Text.LEADING_DEFAULT), mMgr);
		
		mAlternative1 = new Text(0,0, mSmallFont, "",100,new TextOptions(AutoWrap.WORDS, ALTERNATIVE_WRAP, HorizontalAlign.CENTER, Text.LEADING_DEFAULT), mMgr);
		mAlternative2 = new Text(0,0, mSmallFont, "",100,new TextOptions(AutoWrap.WORDS, ALTERNATIVE_WRAP, HorizontalAlign.CENTER, Text.LEADING_DEFAULT), mMgr);
		mAlternative3 = new Text(0,0, mSmallFont, "",100,new TextOptions(AutoWrap.WORDS, ALTERNATIVE_WRAP, HorizontalAlign.CENTER, Text.LEADING_DEFAULT), mMgr);
		mAlternative4 = new Text(0,0, mSmallFont, "",100,new TextOptions(AutoWrap.WORDS, ALTERNATIVE_WRAP, HorizontalAlign.CENTER, Text.LEADING_DEFAULT), mMgr);
	}

}
